<?php

use EventPortal\Enums\Status;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventsTable extends Migration
{
    public function up(): void
    {
        Schema::create('events', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('status')->default(Status::DRAFT());
            $table->timestamps();
        });
    }
}
